
Infrastructure - Task #1534

Story # 1530 (Closed): Redefine interface definitions to correspond with Tiers

Update API docs to reflect minor name changes in the Tiered interfaces

2011-05-06 19:20 - Matthew Jones

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone: 2011-Block-3 Story Points:  

Product Version: *   

Description

History

#1 - 2011-05-06 19:22 - Matthew Jones

- Category set to Documentation

- Milestone set to 2011-Block-3

The existing Tier definitions in the API docs mistakenly skip a tier in the CN tiers, and mistakenly name the replication area as the storage area.  The

Auth services are also lumped together, and should be split. Update the API docs to reflect the tiers and packages as defined here:

http://epad.dataone.org/cicore-interfaces-packages

#2 - 2011-05-24 13:56 - Dave Vieglais

- Status changed from New to Closed

- Assignee changed from Matthew Jones to Dave Vieglais

Interface names in the docs have been updated. There is still some work to go through the docs to verify cross references are up to date with the

module name changes.
